Remove notification channel
POST
/
notifications
/
channels
/
remove
Remove notification channel
curl --request POST \
--url http://127.0.0.1:4900/v1/notifications/channels/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"version": 123,
"id": "<string>",
"timestamp": 123,
"run_id": "<string>",
"instance_id": "<string>",
"payload": {
"id": "<string>"
}
}
'import requests
url = "http://127.0.0.1:4900/v1/notifications/channels/remove"
payload = {
"type": "<string>",
"version": 123,
"id": "<string>",
"timestamp": 123,
"run_id": "<string>",
"instance_id": "<string>",
"payload": { "id": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
version: 123,
id: '<string>',
timestamp: 123,
run_id: '<string>',
instance_id: '<string>',
payload: {id: '<string>'}
})
};
fetch('http://127.0.0.1:4900/v1/notifications/channels/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payload": {},
"type": "<string>"
}Authorizations
Optional on loopback. Required for non-loopback when
CLIQ_DISPATCH_PUBLIC_KEY is configured (dispatch JWT).
Body
application/json
Base message envelope shared by nearly all daemon POSTs
⌘I
Remove notification channel
